Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_CategorySelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_PublicObjectSelector
              oracle.ifs.server.S_CategorySelector

Direct Known Subclasses:
  S_ConfigurationCategorySelector, S_InterMediaSourceSelector, S_MountPointSelector

    public class S_CategorySelector

extends S_PublicObjectSelector

The `S_CategorySelector` class

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_CategorySelector(S_LibrarySession session, java.lang.Long classId)` Constructs a S_CategorySelector object.

Method Summary
`protected S_Category[]` | `selectAllCategories(java.lang.Long poid)` Return all Category objects associated with the specified PublicObject.
`protected S_Category[]` | `selectAllCategories(java.lang.Long poid, SortSpecification sort)` return all Category objects associated with the specified PublicObject.
`protected java.util.Vector` | `selectAllCategoryData(java.lang.Long poid, SortSpecification sort)` return Vector of S_LibraryObjectDatas corresponding to all Category objects associated with the specified PublicObject.

Methods inherited from class oracle.ifs.server.S_PublicObjectSelector
`getLeftObjectsCountSelectStatement, getLeftObjectsSelectStatement, getRightObjectsCountSelectStatement, getRightObjectsSelectStatement, selectLeftObjects, selectLeftObjectsCount, selectLeftObjectsCursor, selectRightObjects, selectRightObjectsCount, selectRightObjectsCursor`

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_CategorySelector

    protected S_CategorySelector(S_LibrarySession session,
                                 java.lang.Long classId)
                          throws IfsException

  Constructs a S_CategorySelector object.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException`

Method Detail

### selectAllCategories

    protected S_Category[] selectAllCategories(java.lang.Long poid)
                                        throws IfsException

  Description copied from class: `S_CategorySelector`
  Return all Category objects associated with the specified PublicObject.

  Parameters:
    `poid` - the PublicObject
  Returns:
    the array of Category objects.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### selectAllCategories

    protected S_Category[] selectAllCategories(java.lang.Long poid,
                                               SortSpecification sort)
                                        throws IfsException

  Description copied from class: `S_CategorySelector`
  return all Category objects associated with the specified PublicObject.

  Parameters:
    `poid` - the PublicObject
    `sort` - how the Categories are to be sorted
  Returns:
    the array of Category objects.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectAllCategoryData

    protected java.util.Vector selectAllCategoryData(java.lang.Long poid,
                                                     SortSpecification sort)
                                              throws IfsException

  Description copied from class: `S_CategorySelector`
  return Vector of S_LibraryObjectDatas corresponding to all Category objects associated with the specified PublicObject.

  Parameters:
    `poid` - the PublicObject
  Returns:
    the Vector of S_LibraryObjectData objects corresponding to all Category objects associated with the specified PublicObject.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD